package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 大屏事件数量响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "大屏事件数量响应类", description = "大屏事件数量响应类")
public class BigScreenEnventCountVO {

    @ApiModelProperty(value = "今日上报事件数量")
    private String todayCount;
    @ApiModelProperty(value = "累计上报事件数量")
    private Integer total;

}
