package com.care.client.dto;

import lombok.Data;

import java.util.Map;

@Data
public class MpTemplateMsgDTO {

    /** 公众号appid，要求与小程序有绑定且同主体 */
    private String appid;

    /** 公众号模板id */
    private String template_id;

    /** 公众号模板消息所要跳转的url */
    private String url;

    /** 公众号模板消息所要跳转的小程序，小程序的必须与公众号具有绑定关系 */
    private Map<String, String> miniprogram;

    /** 模板内容，不填则下发空模板（必填） */
    private Map<String, TemplateDataDTO> data;

}
