package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 卧室在床明细表(CareBedroomInbedDetail)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-11-16 19:30:41
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_bedroom_inbed_detail")
@ApiModel(value = "卧室在床明细表", description = "")
public class CareBedroomInbedDetail implements Serializable {
    private static final long serialVersionUID = -74970592214079918L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("事件目标的id")
    @TableField("TID")
    private Integer tid;


    @ApiModelProperty("在床时间")
    @TableField("IN_TIME")
    private Date inTime;


    @ApiModelProperty("离床时间")
    @TableField("OUT_TIME")
    private Date outTime;


    @ApiModelProperty("时长(秒)")
    @TableField("DURATION")
    private Long duration;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
