package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 每小时心率呼吸统计表(CareHeartBreathHourSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-11-16 19:32:22
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_heart_breath_hour_sta")
@ApiModel(value = "每小时心率呼吸统计表", description = "")
public class CareHeartBreathHourSta implements Serializable {
    private static final long serialVersionUID = 787362495816454791L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("数据小时")
    @TableField("DATA_HOUR")
    private String dataHour;

    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("心跳频率")
    @TableField("HEART_RATE")
    private Integer heartRate;


    @ApiModelProperty("呼吸频率")
    @TableField("BREATH_RATE")
    private Integer breathRate;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
