package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 角色信息表(CareRole)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-09 21:18:57
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_role")
@ApiModel(value = "角色信息表", description = "")
public class CareRole implements Serializable {
    private static final long serialVersionUID = -13026601247675005L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("编码")
    @TableField("CODE")
    private String code;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
