package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 行走距离明细表(CareWalkingDistanceDetail)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-11-17 16:07:54
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_walking_distance_detail")
@ApiModel(value = "行走距离明细表", description = "")
public class CareWalkingDistanceDetail implements Serializable {
    private static final long serialVersionUID = 891619364898326572L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("事件目标的id")
    @TableField("TID")
    private Integer tid;


    @ApiModelProperty("设备场景：1客厅，2卫浴，3卧室，4其他")
    @TableField("DEV_SCENE")
    private String devScene;


    @ApiModelProperty("行走距离(m)")
    @TableField("WALKING_DISTANCE")
    private Double walkingDistance;

    @ApiModelProperty("行走时长（秒）")
    @TableField("WALKING_DURATION")
    private Long walkingDuration;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
