package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 每日行走距离统计表(CareWalkingDistanceHourSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-11-16 19:33:25
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_walking_distance_hour_sta")
@ApiModel(value = "每日行走距离统计表", description = "")
public class CareWalkingDistanceHourSta implements Serializable {
    private static final long serialVersionUID = -47269238100661474L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("数据小时")
    @TableField("DATA_HOUR")
    private String dataHour;

    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("设备场景：1客厅，2卫浴，3卧室，4其他")
    @TableField("DEV_SCENE")
    private String devScene;


    @ApiModelProperty("行走距离(m)")
    @TableField("WALKING_DISTANCE")
    private Double walkingDistance;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
