package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum DeviceInbedStateEnum {
    /**
     * 设备在床状态
     */
    INBED("0","在床"),
    OUTBED("1","离床");
    private String value;
    private String name;
    DeviceInbedStateEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (INBED.getValue().equals(code)){
            return  INBED.name;
        } else if (OUTBED.getValue().equals(code)){
            return  OUTBED.name;
        }

        return null;
    }
}
