package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum ValidStatusEnum {
    /**
     * 启用停用
     */
    VALID("0","启用"),
    INVALID("1","停用");
    private String value;
    private String name;
    ValidStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (VALID.getValue().equals(code)){
            return  VALID.name;
        }else if (INVALID.getValue().equals(code)){
            return  INVALID.name;
        }

        return null;
    }
}
