package com.care.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.care.common.entity.CareEventOrder;
import com.care.common.vo.order.EventStaVO;

/**
 * 事件定单表(CareEventOrder)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:29
 */
public interface CareEventOrderService extends IService<CareEventOrder> {
    /**
     * 统计事件数量
     * @param orgId
     * @param stationId
     * @return
     */
    EventStaVO statOrder(Long orgId, Long stationId, Long chambId, String deviceCode);

    boolean saveHisOrder(CareEventOrder order,CareEventOrder orderDb,boolean isCancel);

    boolean saveOrder(CareEventOrder order);

    /**
     * 自动取消工单
     * @param order
     * @return
     */
    boolean autoCancelOrder(CareEventOrder order);
}