package com.care.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.mapper.CareMenuMapper;
import com.care.common.entity.CareMenu;
import com.care.common.service.CareMenuService;
import com.care.common.vo.MenuVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 菜单权限表(CareMenu)è¡¨æå¡å®ç°ç±»
 *
 * @author makejava
 * @since 2021-12-09 21:18:56
 */
@Service
public class CareMenuServiceImpl extends ServiceImpl<CareMenuMapper, CareMenu> implements CareMenuService {
    @Override
    public List<MenuVO> getTopMenus(Long userId){
        return this.baseMapper.getTopMenus(userId);
    }

    @Override
    public List<MenuVO> findChildMenus(Long pid){
        return this.baseMapper.findChildMenus(pid);
    }
}
