package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 大屏年龄性别响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "大屏年龄性别响应类", description = "大屏年龄性别响应类")
public class BigScreenAgeSexVO {

    @ApiModelProperty(value = "年龄")
    private BigDecimal age;

    @ApiModelProperty(value = "年龄")
    private String ageInterval ;

    @ApiModelProperty(value = "男数量")
    private Integer manNum = 0;

    @ApiModelProperty(value = "女数量")
    private Integer womanNum = 0;

}
