package com.care.client.controller;

import com.care.common.service.WxQrCodeService;
import com.care.common.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/pinanbao/wx/qrcode")
@Slf4j
public class WxQrCodeController {

    @Resource
    private WxQrCodeService wxQrCodeService;

//    @ApiOperation(tags = { "事件处理" },value = "某个事件的详细处理记录  -- 二期修改")
    @GetMapping("/gen")
    public Result weChat(HttpServletRequest request,
//                       @RequestParam("orgId") Long orgId,
//                       @RequestParam("stationId") Long stationId,
                         @RequestParam("deviceId") Long deviceId,
                         @RequestParam("memberId") Long memberId
                       ) throws Exception {

        String sceneId = deviceId + ":" + memberId;
        String url = wxQrCodeService.genWxQrcodeUrl(sceneId);
        return Result.success("查询成功！", url);
    }


}
