package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 每日安全事件统计表(CareDevEventDaySta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-11-16 19:31:49
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_dev_event_day_sta")
@ApiModel(value = "每日安全事件统计表", description = "")
public class CareDevEventDaySta implements Serializable {
    private static final long serialVersionUID = -15158005495794907L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("数据日期")
    @TableField("DATA_DATE")
    private String dataDate;

    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("事件分类： 21：跌倒 22：久滞 23坠床 31主动呼叫")
    @TableField("EVENT_TYPE")
    private String eventType;


    @ApiModelProperty("次数")
    @TableField("FREQUENCY")
    private Integer frequency;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
