package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户登录信息(CareMemberInfo)实体类
 *
 * @author makejava
 * @since 2021-06-10 01:07:14
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_member_info")
@ApiModel(value = "频安宝用户信息", description = "")
public class CareMemberInfo implements Serializable {
    private static final long serialVersionUID = 806178869535928669L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("openId")
    @TableField("OPEN_ID")
    private String openId;

    @ApiModelProperty("unionId")
    @TableField("UNION_ID")
    private String unionId;


    @ApiModelProperty("姓名")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("昵称")
    @TableField("NICKNAME")
    private String nickname;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("密码")
    @TableField("PASSWORD")
    private String password;


    @ApiModelProperty("头像")
    @TableField("PROFILE")
    private String profile;


    @ApiModelProperty("邮箱")
    @TableField("EMAIL")
    private String email;


    @ApiModelProperty("性别")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("分享码")
    @TableField("SHARE_CODE")
    private String shareCode;


    @ApiModelProperty("状态：0可用，1停用")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("生日")
    @TableField("BIRTHDAY")
    private Date birthday;

    @ApiModelProperty("地址")
    @TableField("ADDR")
    private String addr;
}