package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 菜单权限表(CareMenu)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-09 21:18:56
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_menu")
@ApiModel(value = "菜单权限表", description = "")
public class CareMenu implements Serializable {
    private static final long serialVersionUID = -84150949376858885L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("名称")
    @TableField("NAME")
    private String name;

    @ApiModelProperty("编码")
    @TableField("CODE")
    private String code;

    @ApiModelProperty("路径")
    @TableField("URL")
    private String url;


    @ApiModelProperty("父ID")
    @TableField("PID")
    private Long pid;


    @ApiModelProperty("层级关系：1：代表父级，2：代表第一层子集，3：代表第二层子集，依次往下")
    @TableField("LEVEL")
    private Integer level;


    @ApiModelProperty("排序号")
    @TableField("SORT")
    private Integer sort;


}
