package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构(CareOrganization)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:44:00
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_organization")
@ApiModel(value = "机构", description = "")
public class CareOrganization implements Serializable {
    private static final long serialVersionUID = 783765292295776882L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("机构简称")
    @TableField("SHORT_NAME")
    private String shortName;


    @ApiModelProperty("机构编码")
    @TableField("ORG_CODE")
    private String orgCode;


    @ApiModelProperty("地址")
    @TableField("ADDR")
    private String addr;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;

    @ApiModelProperty("系统名称")
    @TableField("SYSTEM_NAME")
    private String systemName;

    @ApiModelProperty("log")
    @TableField("LOGO")
    private String logo;


    @ApiModelProperty("启用状态：启用状态：0启用，1停用")
    @TableField("VALID_STATUS")
    private String validStatus;

    @ApiModelProperty("服务有效期开始日期")
    @TableField("SERV_START_DATE")
    private Date servStartDate;

    @ApiModelProperty("服务有效期结束日期")
    @TableField("SERV_END_DATE")
    private Date servEndDate;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("企业KEY")
    @TableField("COMPANY_KEY")
    private  String companyKey;

    @ApiModelProperty("企业ID")
    @TableField("COMPANY_ID")
    private String companyId;
}