package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务站(CareStation)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:44:11
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_station")
@ApiModel(value = "服务站", description = "")
public class CareStation implements Serializable {
    private static final long serialVersionUID = 278407010051454823L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("服务站编码")
    @TableField("CODE")
    private String code;

    @ApiModelProperty("服务站简称")
    @TableField("SHORT_NAME")
    private String shortName;


    @ApiModelProperty("负责人")
    @TableField("DIRECTOR")
    private String director;


    @ApiModelProperty("联系电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("地址")
    @TableField("ADDR")
    private String addr;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;

    @ApiModelProperty("简介")
    @TableField("INTRODUCTION")
    private String introduction;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}