package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 每小时卫生间进出统计表(CareToiletInoutHourSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-11-24 17:54:23
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_toilet_inout_hour_sta")
@ApiModel(value = "每小时卫生间进出统计表", description = "")
public class CareToiletInoutHourSta implements Serializable {
    private static final long serialVersionUID = -63844015772109363L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("数据小时")
    @TableField("DATA_HOUR")
    private String dataHour;

    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("次数")
    @TableField("FREQUENCY")
    private Integer frequency;


    @ApiModelProperty("时长(分钟)")
    @TableField("DURATION")
    private Long duration;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
