package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 编码明细表(SysDimCode)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_dim_code")
@ApiModel(value = "编码明细表", description = "")
public class SysDimCode implements Serializable {
    private static final long serialVersionUID = -97112002437936953L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("0:停用  1 启用")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("纬度类型表type，sys_dim_type表中的type")
    @TableField("TYPE_CODE")
    private String typeCode;


    @ApiModelProperty("编码")
    @TableField("DIM_CODE")
    private String dimCode;


    @ApiModelProperty("编码名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("排序字段")
    @TableField("CODE_INDEX")
    private Integer codeIndex;


    @ApiModelProperty("描述")
    @TableField("DESC_MSG")
    private String descMsg;


    @ApiModelProperty("createUserId")
    @TableField("CREATE_USER_ID")
    private String createUserId;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("updateTime")
    @TableField("UPDATE_TIME")
    private Date updateTime;


    @ApiModelProperty("操作人")
    @TableField("UPDATE_USER_ID")
    private String updateUserId;


}