package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum DeviceMoveStateEnum {
    /**
     * 设备活动状态
     */
    NONE("0","无人"),
    MOVE("1","活动"),
    STATIC("2","静止");
    private String value;
    private String name;
    DeviceMoveStateEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (NONE.getValue().equals(code)){
            return  NONE.name;
        } else if (MOVE.getValue().equals(code)){
            return  MOVE.name;
        } else if (STATIC.getValue().equals(code)){
            return  STATIC.name;
        }

        return null;
    }
}
