package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum LogStepEnum {

    /**
     *
     */
    CHAMB_DAODA("19","管家到达"),
    CHAMB_LIKAI("20","管家离开");
    private String value;
    private String name;
    LogStepEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (CHAMB_DAODA.getValue().equals(code)){
            return  CHAMB_DAODA.name;
        }else if (CHAMB_LIKAI.getValue().equals(code)){
            return CHAMB_LIKAI.name;
        }

        return null;
    }
}
