package com.care.common.enums;


/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum LogTypeEnum {
    /**
     *日志类型：
     * 1: 发生事件
     * 2：呼叫日志
     * 3: 呼叫日志
     * 4 钥匙日志
     * 5 管家日志
     * 6 短信
     */
    DEV_EVENT(1,"设备监控"),
    OLDER_EVENT(2,"老人呼叫"),
    OUT_CALL(3,"呼叫"),
    KEY(4,"钥匙"),
    CHAMB(5,"管家"),
    SMS(6,"短信"),
    VOTICE(7,"语音"),
    WX(8,"微信"),
    CLOSE(9,"完成工单");
    private Integer value;
    private String name;
    LogTypeEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }
    public Integer getValue() {
        return value;
    }

    public static String getCodeToName(Integer code){
        if (code == null){
            return null;
        }
        if (DEV_EVENT.getValue().intValue() == code.intValue()){
            return  DEV_EVENT.name;
        }else if (OLDER_EVENT.getValue().intValue() == code.intValue()){
            return  OLDER_EVENT.name;
        }else if (OUT_CALL.getValue().intValue() == code.intValue()){
            return  OUT_CALL.name;
        }else if (KEY.getValue().intValue() == code.intValue()){
            return  KEY.name;
        }else if (CHAMB.getValue().intValue() == code.intValue()){
            return CHAMB.name;
        }else if (SMS.getValue().intValue() == code.intValue()){
            return SMS.name;
        }else if (VOTICE.getValue().intValue() == code.intValue()){
            return VOTICE.name;
        }else if (WX.getValue().intValue() == code.intValue()){
            return WX.name;
        }else if (CLOSE.getValue().intValue() == code.intValue()){
            return CLOSE.name;
        }

        return null;
    }
}
