package com.care.common.service;


import com.care.common.vo.MySendStatus;
import com.tencentcloudapi.vms.v20200902.models.SendStatus;

/**
 * 编码类型表(SysDimType)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:30
 */
public interface VoiceSendService {

    /**
     * 事件发生给紧急联系人等发送语音提示
     * @param phone
     * @param params
     * @return
     */
    MySendStatus sendVoiceHappen(String sessionContext, String phone, String[] params);
    /**
     * 事件取消给紧急联系人等发送语音提示
     * @param phone
     * @param params
     * @return
     */
    MySendStatus sendVoiceCancel(String sessionContext,String phone, String[] params);
}