package com.care.common.service;


import com.care.client.dto.TemplateDataDTO;

import java.util.Map;

/**
 * 编码类型表(SysDimType)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:30
 */
public interface WxNoticSendService {

    /**
     * 事件发生给紧急联系人等发送语音提示 使用微信小程序openId
     *
     * @param phone
     * @param data
     * @return
     */
    boolean sendByWxXCXOpenId(String phone, Map<String, TemplateDataDTO> data);

    boolean sendByWxGZHOpenId(String openId,  Map<String, TemplateDataDTO> data);
}