package com.care.common.service;

import com.care.client.dto.TemplateDataDTO;
import com.care.client.vo.WxAccessTokenVO;

import java.util.Map;

public interface WxTemplateService {

    WxAccessTokenVO processAccessToken();

    /**
     * 发送模板消息
     * @param openId 小程序OPENID
     * @param templateId 公众号模板ID
     * @param dataMap 数据内容
     */
    boolean sendTemplateMsg(String openId, String templateId, Map<String, TemplateDataDTO> dataMap);

    boolean sendTemplateMsgOriginal(String openId, String templateId, String miniprogramAppid, String miniprogramPage, Map<String, TemplateDataDTO> dataMap);

    /**
     * 发送模板消息
     * @param openId 小程序OPENID
     * @param templateId 公众号模板ID
     * @param miniprogramAppid 小程序APPID
     * @param miniprogramPage 小程序链接地址
     * @param dataMap 数据内容
     * @return
     */
    boolean sendTemplateMsg(String openId, String templateId, String miniprogramAppid, String miniprogramPage, Map<String, TemplateDataDTO> dataMap);

}
